## com.google.gwt.user.client.ui
Interface SourcesKeyboardEvents

All Known Subinterfaces:
  HasFocus

All Known Implementing Classes:
  CustomButton, FocusPanel, FocusWidget, SuggestBox, TextBoxBase, Tree

public interface SourcesKeyboardEvents

A widget that implements this interface sources the events defined by the `KeyboardListener` interface.

Method Summary
`void` `addKeyboardListener(KeyboardListener listener)` Adds a listener interface to receive keyboard events.
`void` `removeKeyboardListener(KeyboardListener listener)` Removes a previously added listener interface.

Method Detail

### addKeyboardListener

    public void addKeyboardListener(KeyboardListener listener)

  Adds a listener interface to receive keyboard events.

  Parameters:
    `listener` - the listener interface to add

### removeKeyboardListener

    public void removeKeyboardListener(KeyboardListener listener)

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove